div.form-row.border-bottom-secondary.mb-2
  div.form-group.col-12
    h5.card-title.mb-0.text-gray-800
      span.fas.fa-info.mr-2
      span Información General
div.form-row
  div.form-group.col-12.col-lg-6
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Sku
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-barcode
          input(type="text",
                [(ngModel)]="tArticulo.Sku",
                placeholder="Sku",
                name="Sku",
                required="",
                size="sm")#txtSku.ControlInput--Input
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Referencia
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-barcode
          input(type="text",
                      [(ngModel)]="tArticulo.Referencia",
                      placeholder="Referencia",
                      name="Referencia",
                      size="sm").ControlInput--Input
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Código alterno
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-barcode
          input(type="text",
                [(ngModel)]="tArticulo.Codalterno",
                placeholder="Código Alterno",
                name="Referencia",
                size="sm").ControlInput--Input
    div.form-row
      div.form-group.col-12.col-lg-6
        label.form-label.h6 Costo
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-dollar-sign
          input(type="number",
                SoloNumeros="decimal",
                min="1",
                [(ngModel)]="tArticulo.Costo",
                placeholder="Costo",
                name="Costo",
                required="",
                size="sm",
                borderDer0)#txtCosto.ControlInput--Input
          div.ControlInput--ContenedorIconoAppend
            span.ControlInput--ContenedorIconoAppend-Icono
              span.fas {{ tEmpresa.Simbolo }}
      div.form-group.col-12.col-lg-6
        label.form-label.h6 Iva
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
                i.fas.fa-dollar-sign
          input(type="number",
                SoloNumeros="decimal",
                min="0",
                [(ngModel)]="tArticulo.Iva",
                placeholder="Iva",
                size="sm",
                borderDer0)#txtCosto.ControlInput--Input
          div.ControlInput--ContenedorIconoAppend
            span.ControlInput--ContenedorIconoAppend-Icono
              span.fas {{ tEmpresa.Simbolo }}
    div.form-row
      div.form-group.col-12.col-lg-6
        label.form-label.h6 Precio1
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-dollar-sign
          input([type]="tVprecio1 ? 'number' : 'password'",
                SoloNumeros="decimal",
                min="1",
                [(ngModel)]="tArticulo.Precio1",
                placeholder="Precio1",
                name="Precio1",
                required="",
                size="sm",
                borderDer0)#txtPrecio1.ControlInput--Input
          div.ControlInput--ContenedorIconoAppend
            span.ControlInput--ContenedorIconoAppend-Icono
              span.fas {{ tEmpresa.Simbolo }}
      div.form-group.col-12.col-lg-6
        label.form-label.h6 Precio2
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-dollar-sign
          input([type]="tVprecio2 ? 'number' : 'password'",
                SoloNumeros="decimal",
                [(ngModel)]="tArticulo.Precio2",
                placeholder="Precio2",
                name="Precio2",
                size="sm",
                borderDer0)#txtPrecio2.ControlInput--Input
          div.ControlInput--ContenedorIconoAppend
            span.ControlInput--ContenedorIconoAppend-Icono
                span.fas {{ tEmpresa.Simbolo }}
    div.form-row
      div.form-group.col-12.col-lg-6
        label.form-label.h6 Precio3
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-dollar-sign
          input([type]="tVprecio3 ? 'number' : 'password'",
                SoloNumeros="decimal",
                [(ngModel)]="tArticulo.Precio3",
                placeholder="Precio3",
                name="Precio3",
                size="sm",
                borderDer0)#txtPrecio3.ControlInput--Input
          div.ControlInput--ContenedorIconoAppend
            span.ControlInput--ContenedorIconoAppend-Icono
                span.fas {{ tEmpresa.Simbolo }}
      div.form-group.col-12.col-lg-6
        label.form-label.h6 Precio Lista
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-dollar-sign
          input([type]="tVprecioLista ? 'number' : 'password'",
                SoloNumeros="decimal",
                min="1",
                [(ngModel)]="tArticulo.Preciolista",
                placeholder="Precio",
                name="Preciolista",
                required="",
                size="sm",
                borderDer0)#txtPreciolista.ControlInput--Input
          div.ControlInput--ContenedorIconoAppend
            span.ControlInput--ContenedorIconoAppend-Icono
              span.fas {{ tEmpresa.Simbolo }}
  div.form-group.col-12.col-lg-6
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Tipo
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-shapes
          select([(ngModel)]="tTipoActual",
                (change)="CambiarTipo()",
                size-select="sm").ControlInput--Select
            option(*ngFor="let tTipo of tTipos", [ngValue]="tTipo") {{tTipo.Codtipo}}
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Unidad
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-shapes
          select([(ngModel)]="tUnidadActual",
                (change)="CambiarUnidadMedida()"
                size-select="sm").ControlInput--Select
            option(*ngFor="let tUnidad of tUnidades",
              [ngValue]="tUnidad") [ {{tUnidad.Codunidadmedida}} ] {{ tUnidad.Descripcion }} - Factor: {{ tUnidad.Factor_venta }}
          div.ControlInput--ContenedorBoton
            button(type="button", (click)="AbrirModalUnidadesMedida()").ControlInput--ContenedorBoton-Boton
              i.fas.fa-search
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Color
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-palette
          select([(ngModel)]="tColorActual",
                (change)="CambiarColor()"
                size-select="sm").ControlInput--Select
            option(*ngFor="let tColor of tColores", [ngValue]="tColor") [ {{tColor.Codcolor}} ] {{ tColor.Descripcion }}
          div.ControlInput--ContenedorBoton
            button(type="button", (click)="AbrirModalColores()").ControlInput--ContenedorBoton-Boton
              i.fas.fa-search
    div.form-row
      div.form-group.col-12.col-lg-6
        label.form-label.h6 Lotes
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-boxes
          select([(ngModel)]="tArticulo.Maneja_lotes",
                  size-select="sm").ControlInput--Select
            option(value="S") Sí
            option(value="N") No
      div.form-group.col-12.col-lg-6
        label.form-label.h6 Seriales
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-boxes
          select([(ngModel)]="tArticulo.Maneja_seriales",
            size-select="sm").ControlInput--Select
            option(value="S") Sí
            option(value="N") No
    div.form-row
      div.form-group.col-12.col-lg-6
        label.form-label.h6 Peso
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-weight
          input(type="number",
              SoloNumeros="decimal",
              min="0",
              [(ngModel)]="tArticulo.Peso",
              placeholder="Peso",
              size="sm",
              borderDer0).ControlInput--Input
          div.ControlInput--ContenedorIconoAppend
            span.ControlInput--ContenedorIconoAppend-Icono
              span.fas Kg
      div.form-group.col-12.col-lg-6
        label.form-label.h6 Volumen
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-prescription-bottle
          input(type="number",
              SoloNumeros="decimal",
              min="0",
              [(ngModel)]="tArticulo.Volumen",
              placeholder="Volumen",
              size="sm",
              borderDer0).ControlInput--Input
          div.ControlInput--ContenedorIconoAppend
            span.ControlInput--ContenedorIconoAppend-Icono
              span.fas L
    div.form-row
      div.form-group.col-12.col-md-6.col-lg-4
        label.form-label.h6 Alto
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-ruler-vertical
          input(type="number",
              SoloNumeros="decimal",
              min="0",
              [(ngModel)]="tArticulo.Alto",
              placeholder="Alto",
              size="sm",
              borderDer0).ControlInput--Input
          div.ControlInput--ContenedorIconoAppend
            span.ControlInput--ContenedorIconoAppend-Icono
              span.fas M
      div.form-group.col-12.col-md-6.col-lg-4
        label.form-label.h6 Ancho
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
                i.fas.fa-ruler-horizontal
          input(type="number",
              SoloNumeros="decimal",
              min="0",
              [(ngModel)]="tArticulo.Ancho",
              placeholder="Ancho",
              size="sm",
              borderDer0).ControlInput--Input
          div.ControlInput--ContenedorIconoAppend
            span.ControlInput--ContenedorIconoAppend-Icono
              span.fas M
      div.form-group.col-12.col-md-6.col-lg-4
        label.form-label.h6 Largo
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-ruler-combined
          input(type="number",
              SoloNumeros="decimal",
              min="0",
              [(ngModel)]="tArticulo.Largo",
              placeholder="Largo",
              size="sm",
              borderDer0).ControlInput--Input
          div.ControlInput--ContenedorIconoAppend
            span.ControlInput--ContenedorIconoAppend-Icono
              span.fas M
div.form-row
  div.form-group.col-12.col-lg-6
    div.form-row.border-bottom-secondary.mb-2
      div.form-group.col-12
        h5.card-title.mb-0.text-gray-800
          span.fas.fa-info.mr-2
          span Tallas
    div.form-row
      div.form-group.col-12.col-lg-6
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-box
          select((change)="CambiarTallas()",
                  [(ngModel)]="tArticulo.Maneja_tallas",
                  size-select="sm").ControlInput--Select
            option(value="S") Sí
            option(value="N") No
      div.form-group.col-12.col-lg-3
        input(type="text",
            [readonly]="BloquearTallas()",
            [(ngModel)]="tArticulo.Talla_inicial",
            placeholder="Inicial").form-control.form-control-sm
      div.form-group.col-12.col-lg-3
        input(type="text",
            [readonly]="BloquearTallas()",
            [(ngModel)]="tArticulo.Talla_final",
            placeholder="Final").form-control.form-control-sm
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Tallas Intermedias
    div.form-row
      div.form-group.col-12.col-lg-6
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-box
          select((change)="BloquearTallas()",
                [disabled] ="BloquearTallas()",
                [(ngModel)]="tArticulo.Talla_intermedias",
                size-select="sm").ControlInput--Select
            option(value="S") Sí
            option(value="N") No
      div.form-group.col-12.col-lg-6
        input(type="text",
            [readonly]="BloquearTallas()",
            [(ngModel)]="tArticulo.Talla_sugerida",
            placeholder="Talla Sugerida").form-control.form-control-sm
  div.form-group.col-12.col-lg-6
    div.form-row.border-bottom-secondary.mb-2
      div.form-group.col-12
        h5.card-title.mb-0.text-gray-800
          span.fas.fa-info.mr-2
          span Vencimientos
    div.form-row
      div.form-group.col-12
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-calendar-alt
          select((change)="CambiarVencimiento()",
              [(ngModel)]="tArticulo.Maneja_vencimiento",
              size-select="sm").ControlInput--Select
            option(value="S") Sí
            option(value="N") No
    div.form-row
      div.form-group.col-12
        div.form-row
          div.form-group.col-6
              label(for="txtDias_vencimiento_r").form-label.h6 Días en recepción
          div.form-group.col-6
              label(for="txtDias_vencimiento_d").form-label.h6 Días en despacho
        div.form-row
          div.form-group.col-12.col-lg-6
              div.ControlInput
                div.ControlInput--ContenedorIcono
                  span.ControlInput--ContenedorIcono-Icono
                    i.fas.fa-pallet
                input(SoloNumeros="number",
                        type="number",
                        min="0",
                        [disabled]="BloquearVencimiento()",
                        [(ngModel)]="tArticulo.Dias_vencimiento_r",
                        placeholder="Recepción",
                        name="Dias_vencimiento_r",
                        required="",
                        size="sm")#txtDias_vencimiento_r.ControlInput--Input
          div.form-group.col-12.col-lg-6
            div.ControlInput
              div.ControlInput--ContenedorIcono
                span.ControlInput--ContenedorIcono-Icono
                  i.fas.fa-truck-loading
              input(SoloNumeros="number",
                      type="number",
                      min="0",
                      [disabled]="BloquearVencimiento()",
                      [(ngModel)]="tArticulo.Dias_vencimiento_d",
                      placeholder="Recepción",
                      name="Dias_vencimiento_d",
                      required="",
                      size="sm")#txtDias_vencimiento_d.ControlInput--Input
